# Package

version       = "0.1.0"
author        = "Louis Burke"
description   = "ARCTIC in Nim"
license       = "Apache-2.0"
srcDir        = "src"
installExt    = @["nim"]
bin           = @["arctic", "arctic/load"]
namedBin      = {"arctic": "arctic", "arctic/load": "acdump"}.toTable()

# Dependencies

requires "nim >= 2.0.0"
requires "bio"
requires "itertools"

task docs, "docs":
    exec "nim doc --project --index:on --outdir:src/htmldocs src/arctic.nim"
